<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("pref" . "ix" => base64_decode("cHJ" . "lZm" . "l4"), "ac" . "ti" . "on" => base64_decode("YWN0a" . "W9u"), "_3be5fb5" . "5318614a" . "35b11119" . "662d2e16" . "9" => base64_decode("cGxhY2Vob2" . "xkZXI="), "_4be135064c4" . "d55c13e6af60" . "c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW" . "9ucw=="), "_605dec66bbd43fd43" . "b6b2abff58a62ef" => base64_decode("bmF0aX" . "Zl"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_3ce655ae4a14421967cc023a6e907e" . "d5" => base64_decode("aXN" . "fZm" . "lsZ" . "Q=="), "_23e3a19ac3ae2de10c19a9b00175" . "56f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid" . "0IGV4aXN0"), "_c330b85d625b10fb446f35" . "1cc78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoYXJhY3" . "RlcnM="), "_f920f0bf40dcf69c4daab1" . "426e0564d6" => base64_decode("V3JvbmcgcGFyYW1" . "ldGVycw=="), "_e20b559a1b41449" . "5c43a4fbbf2e5015" . "e" => base64_decode("aHR0cF9" . "zZW5kX2" . "ZpbGU="), "_f705bcbe9557715c" . "78f11a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNla" . "G9sZGVyL3BsYWNlaG" . "9sZGVyLnBuZw=="), "_af66268e41c5634df3c880079" . "39cbf33" => base64_decode("ZG93bmx" . "vYWQ="), "_11ff9bccdcd23cd6bf9d" . "92884ea6cc39" => base64_decode("Li4vY29tbW9" . "uL2Nvbm5lY3" . "QucGhw"), "_20a7dc9160360d28b227a735cd62a7" . "1d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvbnN0YX" . "J0LnBocA=="), "_2e062cfc10183d3" . "1f0f0848e59bfd2b" . "3" => base64_decode("Z2V0X2Zpb" . "GVfZXh0ZW" . "5zaW9u"), "_2713fc125a2798f" . "62a71e9066f396da" . "7" => base64_decode("Li4vY29tbW9" . "uL2ZpbGVzeX" . "N0ZW0ucGhw"), "_3d0fad80d1698b9bcb5742" . "bda96db9f8" => base64_decode("Tm8gcmlnaHR" . "z"), "_5717b327f1f9b8b82" . "a4c07e8006c2719" => base64_decode("c" . "G" . "5" . "n"), "_a62d761f3e831ff9d" . "9da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2NvcmU" . "ucGhw"), "_4d707fab93bebb00bbe69e8159" . "697c90" => base64_decode(""));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_20a7dc9" . "160360d2" . "8b227a73" . "5cd62a71" . "d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a62d761f3e831ff9d9da39f9c26ecdd" . "c"];
require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_11ff9bccdcd23cd6bf9" . "d92884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2713fc125a2798f62a7" . "1e9066f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["pref" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["ac" . "ti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f920f0bf40dcf69c4daab1426" . "e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_605dec66bbd43fd43" . "b6b2abff58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f705bcbe9557715c78f11a9a576df" . "da3"];
$placeholder_title = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3be5fb5531861" . "4a35b11119662d" . "2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5717b327f1" . "f9b8b82a4c0" . "7e8006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_605dec6" . "6bbd43fd" . "43b6b2ab" . "ff58a62e" . "f"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4be135064c4d55c13e6af60c45cb1f" . "da"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3d0fad80d1698b9bcb5742bda96db9" . "f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_3ce655ae" . "4a1442196" . "7cc023a6e" . "907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_23e3a19ac3a" . "e2de10c19a9b" . "0017556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2e062cfc10183d31f0f0848e59b" . "fd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c330b85d625b1" . "0fb446f351cc78" . "b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e20b559a1b414495c" . "43a4fbbf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_af66268e41c5634df3c8800793" . "9cbf33"] ? DOWNLOAD : INLINE);